package agenda.rest;

import java.util.List;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

import agenda.api.Agenda;
import agenda.api.Conference;

@Path("agenda")
public class AgendaResource {
	private volatile Agenda agenda;
	
	@GET
	@Produces(MediaType.APPLICATION_JSON)
	public List<Conference> listConferences() {
		return agenda.listConferences();
	}
	
	@POST
	@Consumes(MediaType.APPLICATION_JSON)
	public void addConference(Conference conference) {
		agenda.addConference(conference.getName(), conference.getLocation());
	}
}

